## dpdk 16.11.3

=== debian/changelog ===
dpdk (16.11.3-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports

 -- Santiago R.R. <santigorr@riseup.net>  Wed, 08 Nov 2017 17:54:40 +0100

dpdk (16.11.3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Merge stable update to 16.11.3; For a list of changes see
    http://dpdk.org/ml/archives/announce/2017-August/000143.html
  * Fix reproducibility of librte-eal linuxapp.
  * Mark build-dependencies needed for documentation builds with the <!nodoc>
    build-profile to fully implement support for it.
  * Bump Standards-Version to 4.1.0. Relevant changes are nodoc support and
    build reprodicibility.
  * Switch to debian.org email address.
  * Build-Depend on debhelper (>= 9.20160709) rather than dh-systemd as
    latter is deprecated. Fixes Lintian Error:
      build-depends-on-obsolete-package
  * Fix upstream version parsing in d/rules to account for -rcX.
  * Build-Depend on debhelper (>= 9.20160709) | dh-systemd to keep
    compatibility with Ubuntu 16.04, which does not yet have that
    of debhelper.
  * Revert: d/rules: use new dh option names - Ubuntu 16.04 does not
    have a debhelper that supports the new option, so use the old
    ones for now.
  * Correctly parse upstream version when using ~rc instead of -rc.
  * Bump Standards-Version to 4.1.1, no changes.

  [ Christian Ehrhardt ]
  * d/rules: use new dh option names
  * d/rules: properly enable dpdk systemd service
  * d/t/control: fix test dependencies for s390x.

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Nov 2017 18:41:35 +0000

dpdk (16.11.2-4~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports

 -- Santiago R.R. <santigorr@riseup.net>  Wed, 08 Nov 2017 17:54:40 +0100

dpdk (16.11.2-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/igb_uio-switch-to-new-irq-function-for-MSI-X.patch: fix dkms issue
    in kernel 4.12 (LP: #1700768)

  [ Luca Boccassi ]
  * Add patches to make the documentation and linker script builds fully
    reproducible.
  * Add patches to make the libraries and PMDs builds fully reproducible,
    by making the listing order of headers, source files and objects in
    the makefiles stable (via sorting).

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 30 Jun 2017 12:09:59 +0100

dpdk (16.11.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 19 Jun 2017 11:51:39 +0100

dpdk (16.11.2-2) experimental; urgency=medium

  * Restore fixes by Santiago RR for typos in debian/control, accidentally
    dropped in 16.11.2-1.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 15 Jun 2017 13:36:30 +0100

dpdk (16.11.2-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Merge stable update to 16.11.2; For a list of changes
    see http://dpdk.org/ml/archives/announce/2017-May/000131.html
  * Dropped changes - patches that were included in 16.11.2 stable:
    - d/p/kni-fix-build-with-kernel-4.11.patch
    - d/p/nicvf-0002-net-thunderx-fix-32-bit-build.patch
    - d/p/nicvf-0006-mk-fix-lib-filtering-when-linking-app.patch
    - d/p/nicvf-0008-net-thunderx-fix-stats-access-out-of-bounds.patch
    - d/p/nicvf-0010-net-thunderx-fix-deadlock-in-Rx-path.patch

  [ Luca Boccassi ]
  * Optionally generate libdpdk-dbgsym metapackage that depends on every
    librte/PMD binary package's dbgsym. Keep it disabled by default, and
    let users choose to enable it by passing dbgsym_meta via DEB_BUILD_OPTIONS.
    Thanks Jan Blunck for the patch!
  * Generate dependency list of libdpdk-dev to all librte and PMDs packages
    dynamically at build time.
  * Generate list of recommends for dpdk dynamically at build time.
  * dpdk-modules-$KVERS: depend on same kernel version used to build rather than
    just recommend - in-kernel API/ABI is not stable.
  * Support for building packages for the new mempool framework has been added.
    In 17.05 and newer a mempool framework was added, that has to be loaded
    like a PMD. So any "plugin" will be linked in RTE_EAL_PMD_PATH just like
    the PMDs. No mempool plugins are built for now, so it is currently a no-op.
  * Drop libethdev4, librte-cryptodev1 and librte-eal2 transitional packages,
    no longer needed.
  * Fix some upstream documentation links in the packages metadata.
    Thanks Chas Williams!
  * Fix building debugging symbols for -dbgsym packages. Thanks Chas Williams!

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 15 Jun 2017 11:30:23 +0100

dpdk (16.11.1-2) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Merge stable update to 16.11.1; For a list of changes
    see http://dpdk.org/ml/archives/dev/2017-March/058930.html
  * dpdk.conf: add info about unwanted effects of multiple hugepage
    mountpoints
  * d/p/dpdk-dev-v3-eal-sPAPR-IOMMU-support-in-pci-probing-for-vfio-pci-
    in-ppc64le.patch: sPAPR IOMMU based pci probing enabled for vfio-pci
    devices.
  * enable librte-pmd-i40e1 for ppc64el
    - debian/control: enable arch onpackage
    - d/p/dpdk-dev-v4-i40e-implement-vector-PMD-for-altivec.patch: add i40e
      PMD / vector PMD implementation and enable by default on ppc64el
  * fix library availability/dependency
    - librte-kni is built on ppc64el, fix dependency from libdpdk-dev
    - librte-pmd-fm10k1 is not built on ppc64el (empty pkg atm) adapt arch
    - librte-pmd-i40e is built on all architectures now
  * Fix up thunderx to make arm support useful on more devices (LP: #1691659)
    - d/p/nicvf-00[01-10]* backports of 17.02/17.05 fixes for thunderx
    - d/control: dependencies and package for librte-pmd-thunderx-nicvf
    - d/librte-pmd-thunderx-nicvf1.symbols: tracking library symbols
  * fix dpdk-rte-kni dkms issues with kernel 4.11 (LP: #1691830)
    - d/p/kni-fix-build-with-kernel-4.11.patch: fix pci_enable_msix usage
    - d/p/kni-fix-ethtool-build-with-kernel-4.11.patch: Use new signal header
  * ensure man pages are bundled with executables on all architectures

