=== debian/control ===
Source: dpdk
Priority: optional
Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
           Santiago Ruano Rincón <santiagorr@riseup.net>
Build-Depends: debhelper (>= 9),
               debhelper (>= 9.20160709) | dh-systemd (>= 1.5),
               dh-python,
               dkms,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               inkscape <!nodoc>,
               libcap-dev,
               libpcap-dev,
               libxen-dev [amd64 arm64 i386],
               libxenstore3.0 [amd64 arm64 i386],
               python,
               python-sphinx <!nodoc>,
               python-sphinx-rtd-theme <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.1.1
Section: libs
Homepage: http://www.dpdk.org
Vcs-Git: https://gerrit.fd.io/r/deb_dpdk
Vcs-Browser: https://gerrit.fd.io/r/gitweb?p=deb_dpdk.git

Package: dpdk
Section: admin
Architecture: amd64 arm64 i386 ppc64el
Depends: hwdata,
         lsb-base (>= 3.2-14),
         pciutils,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ${librte:Recommends},
Suggests: dpdk-doc,
          dpdk-igb-uio-dkms (= ${binary:Version}),
          dpdk-rte-kni-dkms (= ${binary:Version}),
          linux-image-generic,
          python-pyelftools,
Description: Data Plane Development Kit (runtime)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime environment to run DPDK applications.

Package: dpdk-dev
Section: devel
Architecture: amd64 arm64 i386 ppc64el
Depends: libdpdk-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains examples and the upstream build environment. It is
 not strictly required in order to build external applications.

Package: dpdk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Homepage: http://dpdk.org/doc/guides/index.html
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${python:Depends}
Recommends: python, ${python:Recommends}
Description: Data Plane Development Kit (documentation)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the complete set of documentation and guides.

Package: dpdk-igb-uio-dkms
Section: kernel
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms,
         dpdk-dev (= ${binary:Version}),
         libdpdk-dev (= ${binary:Version}),
         make,
         ${misc:Depends}
Description: Data Plane Development Kit (igb uio dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the igb_uio kernel module.

Package: dpdk-rte-kni-dkms
Section: kernel
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms,
         dpdk-dev (= ${binary:Version}),
         libdpdk-dev (= ${binary:Version}),
         make,
         ${misc:Depends}
Description: Data Plane Development Kit (rte kni dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the rte_kni kernel module.

Package: libdpdk-dev
Section: libdevel
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpcap-dev,
         ${librte:Depends},
         ${misc:Depends}
Description: Data Plane Development Kit (basic development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the basic headers and library files required to
 build external applications which will also require at least SSE3 support
 when running.

Package: librte-ethdev5
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__ethdev_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (libethdev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for libethdev.

Package: librte-acl2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__acl_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-acl runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_acl.

Package: librte-cfgfile2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__cfgfile_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cfgfile runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cfgfile.

Package: librte-cmdline2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/cmdline_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cmdline runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cmdline.

Package: librte-cryptodev2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__cryptodev_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cryptodev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cryptodev.

Package: librte-distributor1
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__distributor_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-distributor runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_distributor.

Package: librte-eal3
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__eal_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-eal runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_eal.

Package: librte-hash2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__hash_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-hash runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_hash.

Package: librte-ip-frag1
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__ip__frag_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-ip-frag runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_ip_frag.

Package: librte-jobstats1
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__jobstats_8h_source.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-jobstats runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_jobstats.

Package: librte-kni2
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__kni_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-kni runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_kni.

Package: librte-kvargs1
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__kvargs_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-kvargs runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_kvargs.

Package: librte-lpm2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__lpm_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-lpm runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_lpm.

Package: librte-mbuf2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__mbuf_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-mbuf2 runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_mbuf.

Package: librte-mempool2
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: http://dpdk.org/doc/api/rte__mempool_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-mempool runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
