=== debian/changelog ===
dpdk (16.11.6-1+deb9u1) stretch; urgency=medium

  * Merge stable update to 16.11.5; For a list of changes see
    http://dpdk.org/ml/archives/announce/2018-March/000180.html
  * Merge stable update to 16.11.6; For a list of changes see
    https://dpdk.org/doc/guides-16.11/rel_notes/release_16_11.html
    * Fixes CVE-2018-1059 (Closes: #896688).
  * Drop patches merged upstream in 16.11.6.

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Apr 2018 14:33:27 +0100

dpdk (16.11.4-1+deb9u1) stretch; urgency=medium

  [ Luca Boccassi ]
  * Merge stable update to 16.11.4; For a list of changes see
    http://dpdk.org/ml/archives/announce/2017-December/000163.html
  * Merge stable update to 16.11.3; For a list of changes see
    http://dpdk.org/ml/archives/announce/2017-August/000143.html
  * Merge stable update to 16.11.2; For a list of changes
    see http://dpdk.org/ml/archives/announce/2017-May/000131.html
  * Merge stable update to 16.11.1; For a list of changes
    see http://dpdk.org/ml/archives/dev/2017-March/058930.html
  * Use HTTPS in debian/copyright and debian/control
  * Switch to @debian.org email address.

  [ Christian Ehrhardt ]
  * d/p/dpdk-dev-v3-eal-sPAPR-IOMMU-support-in-pci-probing-for-vfio-pci-
    in-ppc64le.patch: sPAPR IOMMU based pci probing enabled for vfio-pci
    devices.
  * d/p/fix-vhost-user-socket-permission.patch: updated to work with newer
    openvswitch versions
  * d/p/igb_uio-switch-to-new-irq-function-for-MSI-X.patch: fix dkms issue
    in kernel 4.12 (LP: #1700768)
  * ensure man pages are bundled with executables on all architectures
  * dpdk.conf: add info about unwanted effects of multiple hugepage
    mountpoints

  [ Charles (Chas) Williams ]
  * Fix upstream documentation links in d/control.

 -- Luca Boccassi <bluca@debian.org>  Sun, 11 Feb 2018 18:33:18 +0000
