=== debian/changelog ===
dpdk (16.11.9-1+deb9u2) stretch-security; urgency=high

  * Backport patches to fix CVE-2019-14818. A denial of service security
    issue has been found in the Vhost PMD.

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Nov 2019 11:15:47 +0000

dpdk (16.11.9-1+deb9u1) stretch; urgency=medium

  * Merge stable update to 16.11.9; For a list of changes see
    https://mails.dpdk.org/archives/announce/2019-March/000252.html

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Mar 2019 15:32:56 +0000
